> For the complete documentation index, see [llms.txt](https://developer.paddle.com/llms.txt).

# GET /transactions

**List transactions**

Returns a paginated list of transactions. Use the query parameters to page through results.

Use the `include` parameter to include related entities in the response.

**Required permissions:** `transaction.read`

## Query parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `include` | array | optional | Include related entities in the response. Use a comma-separated list to specify multiple entities. |
| `id` | array | optional | Return only the IDs specified. Use a comma-separated list to get multiple entities. |
| `after` | string | optional | Return entities after the specified Paddle ID when working with paginated endpoints. Used in the `meta.pagination.next` URL in responses for list operations. |
| `billed_at` | string | optional | Return entities billed at a specific time. Pass an RFC 3339 datetime string, or use `[LT]` (less than), `[LTE]` (less than or equal to), `[GT]` (greater than), or `[GTE]` (greater than or equal to) operators. For example, `billed_at=2023-04-18T17:03:26` or `billed_at[LT]=2023-04-18T17:03:26`. |
| `collection_mode` | string | optional | How payment is collected. `automatic` for checkout, `manual` for invoices. |
| `created_at` | string | optional | Return entities created at a specific time. Pass an RFC 3339 datetime string, or use `[LT]` (less than), `[LTE]` (less than or equal to), `[GT]` (greater than), or `[GTE]` (greater than or equal to) operators. For example, `created_at=2023-04-18T17:03:26` or `created_at[LT]=2023-04-18T17:03:26`. |
| `customer_id` | array | optional | Return entities related to the specified customer. Use a comma-separated list to specify multiple customer IDs. |
| `invoice_number` | array | optional | Return entities that match the invoice number. Use a comma-separated list to specify multiple invoice numbers. |
| `origin` | array | optional | Return entities related to the specified origin. Use a comma-separated list to specify multiple origins. |
| `order_by` | string | optional | Order returned entities by the specified field and direction (`[ASC]` or `[DESC]`). For example, `?order_by=id[ASC]`.

Valid fields for ordering: `billed_at`, `created_at`, `id`, and `updated_at`. (default: `"id[DESC]"`) |
| `status` | array | optional | Return entities that match the specified status. Use a comma-separated list to specify multiple status values. |
| `subscription_id` | array | null | optional | Return entities related to the specified subscription. Use a comma-separated list to specify multiple subscription IDs. Pass `null` to return entities that aren't related to any subscription. |
| `per_page` | integer | optional | Set how many entities are returned per page. Paddle returns the maximum number of results if a number greater than the maximum is requested. Check `meta.pagination.per_page` in the response to see how many were returned.

Default: `30`; Maximum: `30`. (Max: 30; default: `30`) |
| `updated_at` | string | optional | Return entities updated at a specific time. Pass an RFC 3339 datetime string, or use `[LT]` (less than), `[LTE]` (less than or equal to), `[GT]` (greater than), or `[GTE]` (greater than or equal to) operators. For example, `updated_at=2023-04-18T17:03:26` or `updated_at[LT]=2023-04-18T17:03:26`. |

Values for `include`:

- `address` — Include an object for the address entity related to this transaction. Only included where an `address_id` is set against the transaction.
- `adjustments` — Include an array of adjustments related to this transaction. Only included where a transaction has adjustments.
- `adjustments_totals` — Include an object that includes totals for all adjustments against this transaction.
- `available_payment_methods` — Include an array of available payment methods for this transaction.
- `business` — Include an object for the business entity related to this transaction. Only included where a `business_id` is set against the transaction.
- `customer` — Include an object for the customer entity related to this transaction. Only included where a `customer_id` is set against the transaction.
- `discount` — Include an object for the discount entity related to this transaction. Only included where a `discount_id` is set against the transaction.

Values for `collection_mode`:

- `automatic` — Payment is collected automatically using a checkout initially, then using a payment method on file.
- `manual` — Payment is collected manually. Customers are sent an invoice with payment terms and can make a payment offline or using a checkout. Requires `billing_details`.

Values for `origin`:

- `api` — Return transactions where the origin is `api`. Returned transactions were created by the Paddle API.
- `subscription_charge` — Return transactions where the origin is `subscription_charge`. Returned transactions were created automatically by Paddle as a result of a one-time charge for a subscription.
- `subscription_payment_method_change` — Return transactions where the origin is `subscription_payment_method_change`. Returned transactions were created automatically as part of updating a payment method. May be a zero value transaction.
- `subscription_recurring` — Return transactions where the origin is `subscription_recurring`. Returned transactions were created automatically by Paddle as a result of a subscription renewal.
- `subscription_update` — Return transactions where the origin is `subscription_update`. Returned transactions were created automatically by Paddle as a result of an update to a subscription.
- `subscription_import` — Return transactions where the origin is `subscription_import`. Returned transactions that were created automatically by Paddle as a result of a subscription import.
- `web` — Return transactions where the origin is `web`. Returned transactions were created automatically by Paddle.js for a checkout.

Values for `status`:

- `draft` — Return transactions where the status is `draft`. Returned transactions are missing required fields.
- `ready` — Return transactions where the status is `ready`. Returned transactions have all of the required fields to be marked as `billed` or `completed`.
- `billed` — Return transactions where the status is `billed`. Returned transactions are considered legal records and cannot be changed.
- `paid` — Return transactions where the status is `paid`. Returned transactions are fully paid, but have not yet been fully processed internally.
- `completed` — Return transactions where the status is `completed`. Returned transactions are fully paid and processed.
- `canceled` — Return transactions where the status is `canceled`. Returned transactions have been canceled and are no longer due.
- `past_due` — Return transactions where the status is `past_due`. Returned transactions are past due, meaning payment failed for automatically-collected transactions or payment terms elapsed for manually-collected transactions.

## Response (200)

- `data`: array (required)
  - `id`: string (required) — Unique Paddle ID for this transaction entity, prefixed with `txn_`. (pattern: `^txn_[a-z\d]{26}$`)
  - `status`: string (required) — Status of this transaction. You may set a transaction to `billed` or `canceled`, other statuses are set automatically by Paddle. Automatically-collected transactions may return `completed` if payment is captured successfully, or `past_due` if payment failed.
    - `draft` — Transaction is missing required fields. Typically the first stage of a checkout before customer details are captured.
    - `ready` — Transaction has all of the required fields to be marked as `billed` or `completed`.
    - `billed` — Transaction has been updated to `billed`. Billed transactions get an invoice number and are considered a legal record. They cannot be changed. Typically used as part of an invoice workflow.
    - `paid` — Transaction is fully paid, but has not yet been processed internally.
    - `completed` — Transaction is fully paid and processed.
    - `canceled` — Transaction has been updated to `canceled`. If an invoice, it's no longer due.
    - `past_due` — Transaction is past due. Occurs for automatically-collected transactions when the related subscription is in dunning, and for manually-collected transactions when payment terms have elapsed.
  - `customer_id`: string | null (required) — Paddle ID of the customer that this transaction is for, prefixed with `ctm_`. (pattern: `^ctm_[a-z\d]{26}$`)
  - `address_id`: string | null (required) — Paddle ID of the address that this transaction is for, prefixed with `add_`. (pattern: `^add_[a-z\d]{26}$`)
  - `business_id`: string | null (required) — Paddle ID of the business that this transaction is for, prefixed with `biz_`. (pattern: `^biz_[a-z\d]{26}$`)
  - `custom_data`: object | null (required) — Your own structured key-value data.
  - `currency_code`: string (required) — Supported three-letter ISO 4217 currency code. Must be `USD`, `EUR`, or `GBP` if `collection_mode` is `manual`.
    - `USD` — United States Dollar
    - `EUR` — Euro
    - `GBP` — Pound Sterling
    - `JPY` — Japanese Yen
    - `AUD` — Australian Dollar
    - `CAD` — Canadian Dollar
    - `CHF` — Swiss Franc
    - `HKD` — Hong Kong Dollar
    - `SGD` — Singapore Dollar
    - `SEK` — Swedish Krona
    - `ARS` — Argentine Peso
    - `BRL` — Brazilian Real
    - `CLP` — Chilean Peso
    - `CNY` — Chinese Yuan
    - `COP` — Colombian Peso
    - `CZK` — Czech Koruna
    - `DKK` — Danish Krone
    - `HUF` — Hungarian Forint
    - `ILS` — Israeli Shekel
    - `INR` — Indian Rupee
    - `KRW` — South Korean Won
    - `MXN` — Mexican Peso
    - `NOK` — Norwegian Krone
    - `NZD` — New Zealand Dollar
    - `PEN` — Peruvian Sol
    - `PLN` — Polish Zloty
    - `RUB` — Russian Ruble
    - `THB` — Thai Baht
    - `TRY` — Turkish Lira
    - `TWD` — New Taiwan Dollar
    - `UAH` — Ukrainian Hryvnia
    - `VND` — Vietnamese Dong
    - `ZAR` — South African Rand
  - `origin`: string (required) — Describes how this transaction was created.
    - `api` — Transaction created via the Paddle API.
    - `subscription_charge` — Transaction created automatically by Paddle as a result of a one-time charge for a subscription.
    - `subscription_payment_method_change` — Transaction created automatically as part of updating a payment method. May be a zero value transaction.
    - `subscription_recurring` — Transaction created automatically by Paddle as a result of a subscription renewal.
    - `subscription_update` — Transaction created automatically by Paddle as a result of an update to a subscription.
    - `web` — Transaction created automatically by Paddle.js for a checkout.
  - `subscription_id`: string | null (required) — Paddle ID of the subscription that this transaction is for, prefixed with `sub_`. (pattern: `^sub_[a-z\d]{26}$`)
  - `invoice_id`: string | null (required) — Paddle ID of the invoice that this transaction is related to, prefixed with `inv_`. Used for compatibility with the Paddle Invoice API, which is now deprecated. This field is scheduled to be removed in the next version of the Paddle API. (pattern: `^inv_[a-z\d]{26}$`)
  - `invoice_number`: string | null (required) — Invoice number for this transaction. Automatically generated by Paddle when you mark a transaction as `billed` where `collection_mode` is `manual`.
  - `collection_mode`: string (required) — How payment is collected for this transaction. `automatic` for checkout, `manual` for invoices. (default: `"automatic"`)
    - `automatic` — Payment is collected automatically using a checkout initially, then using a payment method on file.
    - `manual` — Payment is collected manually. Customers are sent an invoice with payment terms and can make a payment offline or using a checkout. Requires `billing_details`.
  - `discount_id`: string | null (required) — Paddle ID of the discount applied to this transaction, prefixed with `dsc_`. (pattern: `^dsc_[a-z\d]{26}$`)
  - `billing_details`: object | null (required) — Details for invoicing. Required if `collection_mode` is `manual`.
    - `enable_checkout`: boolean (required) — Whether the related transaction may be paid using Paddle Checkout. If omitted when creating a transaction, defaults to `false`. (default: `false`)
    - `purchase_order_number`: string (required) — Customer purchase order number. Appears on invoice documents. (Max length: 100)
    - `additional_information`: string | null (required) — Notes or other information to include on this invoice. Appears on invoice documents. (Max length: 1500)
    - `payment_terms`: object (required) — How long a customer has to pay this invoice once issued.
      - `interval`: string (required) — Unit of time.
        - `day`
        - `week`
        - `month`
        - `year`
      - `frequency`: integer (required) — Amount of time. (Min: 1)
  - `billing_period`: object | null (required) — Time period that this transaction is for. Set automatically by Paddle for subscription renewals to describe the period that charges are for.
    - `starts_at`: string (date-time) (required) — RFC 3339 datetime string of when this period starts.
    - `ends_at`: string (date-time) (required) — RFC 3339 datetime string of when this period ends.
  - `items`: array (required) — List of items on this transaction. For calculated totals, use `details.line_items`. (Items: 1–100)
    - `price`: object (required) — Represents a price entity.
      - `id`: string (required) — Unique Paddle ID for this price, prefixed with `pri_`. (pattern: `^pri_[a-z\d]{26}$`)
      - `product_id`: string (required) — Paddle ID for the product that this price is for, prefixed with `pro_`. (pattern: `^pro_[a-z\d]{26}$`)
      - `description`: string (required) — Internal description for this price, not shown to customers. Typically notes for your team. (Length: 2–500)
      - `type`: string (required) — Type of item. Standard items are considered part of your catalog and are shown in the Paddle dashboard. (default: `"standard"`)
        - `custom` — Non-catalog item. Typically created for a specific transaction or subscription. Not returned when listing or shown in the Paddle dashboard.
        - `standard` — Standard item. Can be considered part of your catalog and reused across transactions and subscriptions easily.
      - `name`: string | null (required) — Name of this price, shown to customers at checkout and on invoices. Typically describes how often the related product bills. (Length: 1–150)
      - `billing_cycle`: object | null (required) — How often this price should be charged. `null` if price is non-recurring (one-time).
        - `interval`: string (required) — Unit of time.
          - `day`
          - `week`
          - `month`
          - `year`
        - `frequency`: integer (required) — Amount of time. (Min: 1)
      - `trial_period`: object | null (required) — Trial period for the product related to this price. The billing cycle begins once the trial period is over. `null` for no trial period. Requires `billing_cycle`.
        - `interval`: string (required) — Unit of time.
          - `day`
          - `week`
          - `month`
          - `year`
        - `frequency`: integer (required) — Amount of time. (Min: 1)
        - `requires_payment_method`: boolean (required) — Whether this price requires a payment method (`true`) or not (`false`) when trialing. If `false`, customers can sign up for subscription without entering their payment details, often referred to as a "cardless trial." (default: `true`)
        - `unit_price`: object | null — Trial price. Customers are billed this amount for the duration of the trial period. Applies to all customers except those in countries with `unit_price_overrides`. If `null`, customers are not charged during the trial.
          - `amount`: string (required) — Amount in the lowest denomination for the currency, e.g. 10 USD = 1000 (cents). Although represented as a string, this value must be a valid integer.
          - `currency_code`: string — Supported three-letter ISO 4217 currency code.
            - `USD` — United States Dollar
            - `EUR` — Euro
            - `GBP` — Pound Sterling
            - `JPY` — Japanese Yen
            - `AUD` — Australian Dollar
            - `CAD` — Canadian Dollar
            - `CHF` — Swiss Franc
            - `HKD` — Hong Kong Dollar
            - `SGD` — Singapore Dollar
            - `SEK` — Swedish Krona
            - `ARS` — Argentine Peso
            - `BRL` — Brazilian Real
            - `CLP` — Chilean Peso
            - `CNY` — Chinese Yuan
            - `COP` — Colombian Peso
            - `CZK` — Czech Koruna
            - `DKK` — Danish Krone
            - `HUF` — Hungarian Forint
            - `ILS` — Israeli Shekel
            - `INR` — Indian Rupee
            - `KRW` — South Korean Won
            - `MXN` — Mexican Peso
            - `NOK` — Norwegian Krone
            - `NZD` — New Zealand Dollar
            - `PEN` — Peruvian Sol
            - `PLN` — Polish Zloty
            - `RUB` — Russian Ruble
            - `THB` — Thai Baht
            - `TRY` — Turkish Lira
            - `TWD` — New Taiwan Dollar
            - `UAH` — Ukrainian Hryvnia
            - `VND` — Vietnamese Dong
            - `ZAR` — South African Rand
        - `unit_price_overrides`: array — List of unit price overrides for trial pricing. Use to override base trial price with a custom trial price and currency for a country or group of countries. (Items: max 250)
          - `country_codes`: array (required) — Supported two-letter ISO 3166-1 alpha-2 country code. Customers located in the listed countries are charged the override price. (Items: min 1, unique)
            - string — Two-letter code for a country that Paddle supports sales to. Typically an ISO 3166-1 alpha-2 code, though Paddle uses a small number of codes that ISO doesn't currently assign.
              - `AD` — Andorra
              - `AE` — United Arab Emirates
              - `AG` — Antigua and Barbuda
              - `AI` — Anguilla
              - `AL` — Albania
              - `AM` — Armenia
              - `AO` — Angola
              - `AR` — Argentina
              - `AS` — American Samoa
              - `AT` — Austria
              - `AU` — Australia
              - `AW` — Aruba
              - `AX` — Åland Islands
              - `AZ` — Azerbaijan
              - `BA` — Bosnia and Herzegovina
              - `BB` — Barbados
              - `BD` — Bangladesh
              - `BE` — Belgium
              - `BF` — Burkina Faso
              - `BG` — Bulgaria
              - `BH` — Bahrain
              - `BI` — Burundi
              - `BJ` — Benin
              - `BL` — Saint Barthélemy
              - `BM` — Bermuda
              - `BN` — Brunei
              - `BO` — Bolivia
              - `BQ` — Caribbean Netherlands (Bonaire, Sint Eustatius, and Saba)
              - `BR` — Brazil
              - `BS` — Bahamas
              - `BT` — Bhutan
              - `BV` — Bouvet Island
              - `BW` — Botswana
              - `BZ` — Belize
              - `CA` — Canada
              - `CC` — Cocos Islands
              - `CG` — Republic of Congo
              - `CH` — Switzerland
              - `CI` — Côte d'Ivoire (Ivory Coast)
              - `CK` — Cook Islands
              - `CL` — Chile
              - `CM` — Cameroon
              - `CN` — China
              - `CO` — Colombia
              - `CR` — Costa Rica
              - `CV` — Cape Verde
              - `CW` — Curaçao
              - `CX` — Christmas Island
              - `CY` — Cyprus
              - `CZ` — Czechia (Czech Republic)
              - `DE` — Germany
              - `DJ` — Djibouti
              - `DK` — Denmark
              - `DM` — Dominica
              - `DO` — Dominican Republic
              - `DZ` — Algeria
              - `EC` — Ecuador
              - `EE` — Estonia
              - `EG` — Egypt
              - `EH` — Western Sahara
              - `ER` — Eritrea
              - `ES` — Spain
              - `ET` — Ethiopia
              - `FI` — Finland
              - `FJ` — Fiji
              - `FK` — Falkland Islands
              - `FM` — Micronesia
              - `FO` — Faroe Islands
              - `FR` — France
              - `GA` — Gabon
              - `GB` — United Kingdom
              - `GD` — Grenada
              - `GE` — Georgia
              - `GF` — French Guiana
              - `GG` — Guernsey
              - `GH` — Ghana
              - `GI` — Gibraltar
              - `GL` — Greenland
              - `GM` — Gambia
              - `GN` — Guinea
              - `GP` — Guadeloupe
              - `GQ` — Equatorial Guinea
              - `GR` — Greece
              - `GS` — South Georgia and the South Sandwich Islands
              - `GT` — Guatemala
              - `GU` — Guam
              - `GW` — Guinea-Bissau
              - `GY` — Guyana
              - `HK` — Hong Kong
              - `HM` — Heard Island and McDonald Islands
              - `HN` — Honduras
              - `HR` — Croatia
              - `HU` — Hungary
              - `ID` — Indonesia
              - `IE` — Ireland
              - `IL` — Israel
              - `IM` — Isle of Man
              - `IN` — India
              - `IO` — British Indian Ocean Territory
              - `IQ` — Iraq
              - `IS` — Iceland
              - `IT` — Italy
              - `JE` — Jersey
              - `JM` — Jamaica
              - `JO` — Jordan
              - `JP` — Japan
              - `KE` — Kenya
              - `KG` — Kyrgyzstan
              - `KH` — Cambodia
              - `KI` — Kiribati
              - `KM` — Comoros
              - `KN` — Saint Kitts and Nevis
              - `KR` — South Korea
              - `KW` — Kuwait
              - `KY` — Cayman Islands
              - `KZ` — Kazakhstan
              - `LA` — Lao People's Democratic Republic (Laos)
              - `LB` — Lebanon
              - `LC` — Saint Lucia
              - `LI` — Liechtenstein
              - `LK` — Sri Lanka
              - `LR` — Liberia
              - `LS` — Lesotho
              - `LT` — Lithuania
              - `LU` — Luxembourg
              - `LV` — Latvia
              - `MA` — Morocco
              - `MC` — Monaco
              - `MD` — Moldova
              - `ME` — Montenegro
              - `MF` — Saint Martin
              - `MG` — Madagascar
              - `MH` — Marshall Islands
              - `MK` — Macedonia
              - `MN` — Mongolia
              - `MO` — Macao
              - `MP` — Northern Mariana Islands
              - `MQ` — Martinique
              - `MR` — Mauritania
              - `MS` — Montserrat
              - `MT` — Malta
              - `MU` — Mauritius
              - `MV` — Maldives
              - `MW` — Malawi
              - `MX` — Mexico
              - `MY` — Malaysia
              - `MZ` — Mozambique
              - `NA` — Namibia
              - `NC` — New Caledonia
              - `NE` — Niger
              - `NF` — Norfolk Island
              - `NG` — Nigeria
              - `NL` — Netherlands
              - `NO` — Norway
              - `NP` — Nepal
              - `NR` — Nauru
              - `NU` — Niue
              - `NZ` — New Zealand
              - `OM` — Oman
              - `PA` — Panama
              - `PE` — Peru
              - `PF` — French Polynesia
              - `PG` — Papua New Guinea
              - `PH` — Philippines
              - `PK` — Pakistan
              - `PL` — Poland
              - `PM` — Saint Pierre and Miquelon
              - `PN` — Pitcairn
              - `PR` — Puerto Rico
              - `PS` — Palestinian territories
              - `PT` — Portugal
              - `PW` — Palau
              - `PY` — Paraguay
              - `QA` — Qatar
              - `RE` — Reunion
              - `RO` — Romania
              - `RS` — Republic of Serbia
              - `RW` — Rwanda
              - `SA` — Saudi Arabia
              - `SB` — Solomon Islands
              - `SC` — Seychelles
              - `SE` — Sweden
              - `SG` — Singapore
              - `SH` — Saint Helena
              - `SI` — Slovenia
              - `SJ` — Svalbard and Jan Mayen
              - `SK` — Slovakia
              - `SL` — Sierra Leone
              - `SM` — San Marino
              - `SN` — Senegal
              - `SR` — Suriname
              - `ST` — São Tomé and Príncipe
              - `SV` — El Salvador
              - `SX` — Sint Maarten
              - `SZ` — Swaziland
              - `TC` — Turks and Caicos Islands
              - `TD` — Chad
              - `TF` — French Southern and Antarctic Lands
              - `TG` — Togo
              - `TH` — Thailand
              - `TJ` — Tajikistan
              - `TK` — Tokelau
              - `TL` — Timor-Leste
              - `TM` — Turkmenistan
              - `TN` — Tunisia
              - `TO` — Tonga
              - `TR` — Turkey
              - `TT` — Trinidad and Tobago
              - `TV` — Tuvalu
              - `TW` — Taiwan
              - `TZ` — Tanzania
              - `UA` — Ukraine
              - `UG` — Uganda
              - `UM` — United States Minor Outlying Islands
              - `US` — United States
              - `UY` — Uruguay
              - `UZ` — Uzbekistan
              - `VA` — Holy See (Vatican City)
              - `VC` — Saint Vincent and the Grenadines
              - `VG` — British Virgin Islands
              - `VI` — U.S. Virgin Islands
              - `VN` — Vietnam
              - `VU` — Vanuatu
              - `WF` — Wallis and Futuna
              - `WS` — Samoa
              - `XK` — Kosovo
              - `YT` — Mayotte
              - `ZA` — South Africa
              - `ZM` — Zambia
            - string — Two-letter code for a country that Paddle does not support sales to. Typically an ISO 3166-1 alpha-2 code, though Paddle uses a small number of codes that ISO doesn't currently assign.
              - `AF` — Afghanistan
              - `AQ` — Antarctica
              - `AN` — Netherlands Antilles. Withdrawn ISO 3166-1 code, succeeded by BQ, CW and SX.
              - `BY` — Belarus
              - `CD` — Democratic Republic of Congo
              - `CF` — Central African Republic
              - `CU` — Cuba
              - `CS` — Serbia and Montenegro. Withdrawn ISO 3166-1 code, succeeded by RS and ME.
              - `HT` — Haiti
              - `IR` — Iran
              - `KP` — North Korea
              - `LY` — Libya
              - `ML` — Mali
              - `MM` — Myanmar (Burma)
              - `NI` — Nicaragua
              - `RU` — Russia
              - `SO` — Somalia
              - `SS` — South Sudan
              - `SD` — Sudan
              - `SY` — Syria
              - `VE` — Venezuela
              - `YE` — Yemen
              - `ZW` — Zimbabwe
          - `unit_price`: object (required) — Override price. This price applies to customers located in the countries for this unit price override.
            - `amount`: string (required) — Amount in the lowest denomination for the currency, e.g. 10 USD = 1000 (cents). Although represented as a string, this value must be a valid integer.
            - `currency_code`: string — Supported three-letter ISO 4217 currency code.
              - `USD` — United States Dollar
              - `EUR` — Euro
              - `GBP` — Pound Sterling
              - `JPY` — Japanese Yen
              - `AUD` — Australian Dollar
              - `CAD` — Canadian Dollar
              - `CHF` — Swiss Franc
              - `HKD` — Hong Kong Dollar
              - `SGD` — Singapore Dollar
              - `SEK` — Swedish Krona
              - `ARS` — Argentine Peso
              - `BRL` — Brazilian Real
              - `CLP` — Chilean Peso
              - `CNY` — Chinese Yuan
              - `COP` — Colombian Peso
              - `CZK` — Czech Koruna
              - `DKK` — Danish Krone
              - `HUF` — Hungarian Forint
              - `ILS` — Israeli Shekel
              - `INR` — Indian Rupee
              - `KRW` — South Korean Won
              - `MXN` — Mexican Peso
              - `NOK` — Norwegian Krone
              - `NZD` — New Zealand Dollar
              - `PEN` — Peruvian Sol
              - `PLN` — Polish Zloty
              - `RUB` — Russian Ruble
              - `THB` — Thai Baht
              - `TRY` — Turkish Lira
              - `TWD` — New Taiwan Dollar
              - `UAH` — Ukrainian Hryvnia
              - `VND` — Vietnamese Dong
              - `ZAR` — South African Rand
      - `tax_mode`: string (required) — How tax is calculated for this price. (default: `"account_setting"`)
        - `account_setting` — Prices use the setting from your account.
        - `external` — Prices are exclusive of tax.
        - `internal` — Prices are inclusive of tax.
        - `location` — Prices are inclusive or exclusive of tax, depending on the country of the transaction.
      - `unit_price`: object (required) — Base price. This price applies to all customers, except for customers located in countries where you have `unit_price_overrides`.
        - `amount`: string (required) — Amount in the lowest denomination for the currency, e.g. 10 USD = 1000 (cents). Although represented as a string, this value must be a valid integer.
        - `currency_code`: string (required) — Supported three-letter ISO 4217 currency code.
          - `USD` — United States Dollar
          - `EUR` — Euro
          - `GBP` — Pound Sterling
          - `JPY` — Japanese Yen
          - `AUD` — Australian Dollar
          - `CAD` — Canadian Dollar
          - `CHF` — Swiss Franc
          - `HKD` — Hong Kong Dollar
          - `SGD` — Singapore Dollar
          - `SEK` — Swedish Krona
          - `ARS` — Argentine Peso
          - `BRL` — Brazilian Real
          - `CLP` — Chilean Peso
          - `CNY` — Chinese Yuan
          - `COP` — Colombian Peso
          - `CZK` — Czech Koruna
          - `DKK` — Danish Krone
          - `HUF` — Hungarian Forint
          - `ILS` — Israeli Shekel
          - `INR` — Indian Rupee
          - `KRW` — South Korean Won
          - `MXN` — Mexican Peso
          - `NOK` — Norwegian Krone
          - `NZD` — New Zealand Dollar
          - `PEN` — Peruvian Sol
          - `PLN` — Polish Zloty
          - `RUB` — Russian Ruble
          - `THB` — Thai Baht
          - `TRY` — Turkish Lira
          - `TWD` — New Taiwan Dollar
          - `UAH` — Ukrainian Hryvnia
          - `VND` — Vietnamese Dong
          - `ZAR` — South African Rand
      - `unit_price_overrides`: array (required) — List of unit price overrides. Use to override the base price with a custom price and currency for a country or group of countries. (Items: max 250)
        - `country_codes`: array (required) — Supported two-letter ISO 3166-1 alpha-2 country code. Customers located in the listed countries are charged the override price. (Items: min 1, unique)
          - string — Two-letter code for a country that Paddle supports sales to. Typically an ISO 3166-1 alpha-2 code, though Paddle uses a small number of codes that ISO doesn't currently assign.
            - `AD` — Andorra
            - `AE` — United Arab Emirates
            - `AG` — Antigua and Barbuda
            - `AI` — Anguilla
            - `AL` — Albania
            - `AM` — Armenia
            - `AO` — Angola
            - `AR` — Argentina
            - `AS` — American Samoa
            - `AT` — Austria
            - `AU` — Australia
            - `AW` — Aruba
            - `AX` — Åland Islands
            - `AZ` — Azerbaijan
            - `BA` — Bosnia and Herzegovina
            - `BB` — Barbados
            - `BD` — Bangladesh
            - `BE` — Belgium
            - `BF` — Burkina Faso
            - `BG` — Bulgaria
            - `BH` — Bahrain
            - `BI` — Burundi
            - `BJ` — Benin
            - `BL` — Saint Barthélemy
            - `BM` — Bermuda
            - `BN` — Brunei
            - `BO` — Bolivia
            - `BQ` — Caribbean Netherlands (Bonaire, Sint Eustatius, and Saba)
            - `BR` — Brazil
            - `BS` — Bahamas
            - `BT` — Bhutan
            - `BV` — Bouvet Island
            - `BW` — Botswana
            - `BZ` — Belize
            - `CA` — Canada
            - `CC` — Cocos Islands
            - `CG` — Republic of Congo
            - `CH` — Switzerland
            - `CI` — Côte d'Ivoire (Ivory Coast)
            - `CK` — Cook Islands
            - `CL` — Chile
            - `CM` — Cameroon
            - `CN` — China
            - `CO` — Colombia
            - `CR` — Costa Rica
            - `CV` — Cape Verde
            - `CW` — Curaçao
            - `CX` — Christmas Island
            - `CY` — Cyprus
            - `CZ` — Czechia (Czech Republic)
            - `DE` — Germany
            - `DJ` — Djibouti
            - `DK` — Denmark
            - `DM` — Dominica
            - `DO` — Dominican Republic
            - `DZ` — Algeria
            - `EC` — Ecuador
            - `EE` — Estonia
            - `EG` — Egypt
            - `EH` — Western Sahara
            - `ER` — Eritrea
            - `ES` — Spain
            - `ET` — Ethiopia
            - `FI` — Finland
            - `FJ` — Fiji
            - `FK` — Falkland Islands
            - `FM` — Micronesia
            - `FO` — Faroe Islands
            - `FR` — France
            - `GA` — Gabon
            - `GB` — United Kingdom
            - `GD` — Grenada
            - `GE` — Georgia
            - `GF` — French Guiana
            - `GG` — Guernsey
            - `GH` — Ghana
            - `GI` — Gibraltar
            - `GL` — Greenland
            - `GM` — Gambia
            - `GN` — Guinea
            - `GP` — Guadeloupe
            - `GQ` — Equatorial Guinea
            - `GR` — Greece
            - `GS` — South Georgia and the South Sandwich Islands
            - `GT` — Guatemala
            - `GU` — Guam
            - `GW` — Guinea-Bissau
            - `GY` — Guyana
            - `HK` — Hong Kong
            - `HM` — Heard Island and McDonald Islands
            - `HN` — Honduras
            - `HR` — Croatia
            - `HU` — Hungary
            - `ID` — Indonesia
            - `IE` — Ireland
            - `IL` — Israel
            - `IM` — Isle of Man
            - `IN` — India
            - `IO` — British Indian Ocean Territory
            - `IQ` — Iraq
            - `IS` — Iceland
            - `IT` — Italy
            - `JE` — Jersey
            - `JM` — Jamaica
            - `JO` — Jordan
            - `JP` — Japan
            - `KE` — Kenya
            - `KG` — Kyrgyzstan
            - `KH` — Cambodia
            - `KI` — Kiribati
            - `KM` — Comoros
            - `KN` — Saint Kitts and Nevis
            - `KR` — South Korea
            - `KW` — Kuwait
            - `KY` — Cayman Islands
            - `KZ` — Kazakhstan
            - `LA` — Lao People's Democratic Republic (Laos)
            - `LB` — Lebanon
            - `LC` — Saint Lucia
            - `LI` — Liechtenstein
            - `LK` — Sri Lanka
            - `LR` — Liberia
            - `LS` — Lesotho
            - `LT` — Lithuania
            - `LU` — Luxembourg
            - `LV` — Latvia
            - `MA` — Morocco
            - `MC` — Monaco
            - `MD` — Moldova
            - `ME` — Montenegro
            - `MF` — Saint Martin
            - `MG` — Madagascar
            - `MH` — Marshall Islands
            - `MK` — Macedonia
            - `MN` — Mongolia
            - `MO` — Macao
            - `MP` — Northern Mariana Islands
            - `MQ` — Martinique
            - `MR` — Mauritania
            - `MS` — Montserrat
            - `MT` — Malta
            - `MU` — Mauritius
            - `MV` — Maldives
            - `MW` — Malawi
            - `MX` — Mexico
            - `MY` — Malaysia
            - `MZ` — Mozambique
            - `NA` — Namibia
            - `NC` — New Caledonia
            - `NE` — Niger
            - `NF` — Norfolk Island
            - `NG` — Nigeria
            - `NL` — Netherlands
            - `NO` — Norway
            - `NP` — Nepal
            - `NR` — Nauru
            - `NU` — Niue
            - `NZ` — New Zealand
            - `OM` — Oman
            - `PA` — Panama
            - `PE` — Peru
            - `PF` — French Polynesia
            - `PG` — Papua New Guinea
            - `PH` — Philippines
            - `PK` — Pakistan
            - `PL` — Poland
            - `PM` — Saint Pierre and Miquelon
            - `PN` — Pitcairn
            - `PR` — Puerto Rico
            - `PS` — Palestinian territories
            - `PT` — Portugal
            - `PW` — Palau
            - `PY` — Paraguay
            - `QA` — Qatar
            - `RE` — Reunion
            - `RO` — Romania
            - `RS` — Republic of Serbia
            - `RW` — Rwanda
            - `SA` — Saudi Arabia
            - `SB` — Solomon Islands
            - `SC` — Seychelles
            - `SE` — Sweden
            - `SG` — Singapore
            - `SH` — Saint Helena
            - `SI` — Slovenia
            - `SJ` — Svalbard and Jan Mayen
            - `SK` — Slovakia
            - `SL` — Sierra Leone
            - `SM` — San Marino
            - `SN` — Senegal
            - `SR` — Suriname
            - `ST` — São Tomé and Príncipe
            - `SV` — El Salvador
            - `SX` — Sint Maarten
            - `SZ` — Swaziland
            - `TC` — Turks and Caicos Islands
            - `TD` — Chad
            - `TF` — French Southern and Antarctic Lands
            - `TG` — Togo
            - `TH` — Thailand
            - `TJ` — Tajikistan
            - `TK` — Tokelau
            - `TL` — Timor-Leste
            - `TM` — Turkmenistan
            - `TN` — Tunisia
            - `TO` — Tonga
            - `TR` — Turkey
            - `TT` — Trinidad and Tobago
            - `TV` — Tuvalu
            - `TW` — Taiwan
            - `TZ` — Tanzania
            - `UA` — Ukraine
            - `UG` — Uganda
            - `UM` — United States Minor Outlying Islands
            - `US` — United States
            - `UY` — Uruguay
            - `UZ` — Uzbekistan
            - `VA` — Holy See (Vatican City)
            - `VC` — Saint Vincent and the Grenadines
            - `VG` — British Virgin Islands
            - `VI` — U.S. Virgin Islands
            - `VN` — Vietnam
            - `VU` — Vanuatu
            - `WF` — Wallis and Futuna
            - `WS` — Samoa
            - `XK` — Kosovo
            - `YT` — Mayotte
            - `ZA` — South Africa
            - `ZM` — Zambia
          - string — Two-letter code for a country that Paddle does not support sales to. Typically an ISO 3166-1 alpha-2 code, though Paddle uses a small number of codes that ISO doesn't currently assign.
            - `AF` — Afghanistan
            - `AQ` — Antarctica
            - `AN` — Netherlands Antilles. Withdrawn ISO 3166-1 code, succeeded by BQ, CW and SX.
            - `BY` — Belarus
            - `CD` — Democratic Republic of Congo
            - `CF` — Central African Republic
            - `CU` — Cuba
            - `CS` — Serbia and Montenegro. Withdrawn ISO 3166-1 code, succeeded by RS and ME.
            - `HT` — Haiti
            - `IR` — Iran
            - `KP` — North Korea
            - `LY` — Libya
            - `ML` — Mali
            - `MM` — Myanmar (Burma)
            - `NI` — Nicaragua
            - `RU` — Russia
            - `SO` — Somalia
            - `SS` — South Sudan
            - `SD` — Sudan
            - `SY` — Syria
            - `VE` — Venezuela
            - `YE` — Yemen
            - `ZW` — Zimbabwe
        - `unit_price`: object (required) — Override price. This price applies to customers located in the countries for this unit price override.
          - `amount`: string (required) — Amount in the lowest denomination for the currency, e.g. 10 USD = 1000 (cents). Although represented as a string, this value must be a valid integer.
          - `currency_code`: string (required) — Supported three-letter ISO 4217 currency code.
            - `USD` — United States Dollar
            - `EUR` — Euro
            - `GBP` — Pound Sterling
            - `JPY` — Japanese Yen
            - `AUD` — Australian Dollar
            - `CAD` — Canadian Dollar
            - `CHF` — Swiss Franc
            - `HKD` — Hong Kong Dollar
            - `SGD` — Singapore Dollar
            - `SEK` — Swedish Krona
            - `ARS` — Argentine Peso
            - `BRL` — Brazilian Real
            - `CLP` — Chilean Peso
            - `CNY` — Chinese Yuan
            - `COP` — Colombian Peso
            - `CZK` — Czech Koruna
            - `DKK` — Danish Krone
            - `HUF` — Hungarian Forint
            - `ILS` — Israeli Shekel
            - `INR` — Indian Rupee
            - `KRW` — South Korean Won
            - `MXN` — Mexican Peso
            - `NOK` — Norwegian Krone
            - `NZD` — New Zealand Dollar
            - `PEN` — Peruvian Sol
            - `PLN` — Polish Zloty
            - `RUB` — Russian Ruble
            - `THB` — Thai Baht
            - `TRY` — Turkish Lira
            - `TWD` — New Taiwan Dollar
            - `UAH` — Ukrainian Hryvnia
            - `VND` — Vietnamese Dong
            - `ZAR` — South African Rand
      - `quantity`: object (required) — Limits on how many times the related product can be purchased at this price. Useful for discount campaigns.
        - `minimum`: integer (required) — Minimum quantity of the product related to this price that can be bought. Required if `maximum` set. (Range: 1–999999999; default: `1`)
        - `maximum`: integer (required) — Maximum quantity of the product related to this price that can be bought. Required if `minimum` set. Must be greater than or equal to the `minimum` value. (Range: 1–999999999; default: `100`)
      - `status`: string (required) — Whether this entity can be used in Paddle. (default: `"active"`)
        - `active` — Entity is active and can be used.
        - `archived` — Entity is archived, so can't be used.
      - `custom_data`: object | null (required) — Your own structured key-value data.
      - `import_meta`: object | null (required) — Import information for this entity. `null` if this entity is not imported.
        - `external_id`: string | null — Reference or identifier for this entity from the provider where it was imported from. (Length: 1–200)
        - `imported_from`: string (required) — Name of the platform or provider where this entity was imported from. (Length: 1–200)
      - `created_at`: string (date-time) (required) — RFC 3339 datetime string of when this entity was created. Set automatically by Paddle.
      - `updated_at`: string (date-time) (required) — RFC 3339 datetime string of when this entity was updated. Set automatically by Paddle.
    - `quantity`: integer (required) — Quantity of this item on the transaction.
    - `proration`: object | null (required) — How proration was calculated for this item. Populated when a transaction is created from a subscription change, where `proration_billing_mode` was `prorated_immediately` or `prorated_next_billing_period`. Set automatically by Paddle.
      - `rate`: string (required) — Rate used to calculate proration.
      - `billing_period`: object (required) — Billing period that proration is based on.
        - `starts_at`: string (date-time) (required) — RFC 3339 datetime string of when this period starts.
        - `ends_at`: string (date-time) (required) — RFC 3339 datetime string of when this period ends.
  - `details`: object (required) — Calculated totals for a transaction, including proration, discounts, tax, and currency conversion. Considered the source of truth for totals on a transaction.
    - `tax_rates_used`: array (required) — List of tax rates applied for this transaction.
      - `tax_rate`: string (required) — Rate used to calculate tax for this transaction.
      - `totals`: object (required) — Calculated totals for the tax applied to this transaction.
        - `subtotal`: string (required) — Subtotal before discount, tax, and deductions. If an item, unit price multiplied by quantity.
        - `discount`: string (required) — Total discount as a result of any discounts applied.

Except for percentage discounts, Paddle applies tax to discounts based on the line item `price.tax_mode`. If `price.tax_mode` for a line item is `internal`, Paddle removes tax from the discount applied.
        - `tax`: string (required) — Total tax on the subtotal.
        - `total`: string (required) — Total after discount and tax.
    - `totals`: object (required) — Breakdown of the total for a transaction. These numbers can be negative when dealing with subscription updates that result in credit.
      - `subtotal`: string (required) — Subtotal before discount, tax, and deductions. If an item, unit price multiplied by quantity.
      - `discount`: string (required) — Total discount as a result of any discounts applied.

Except for percentage discounts, Paddle applies tax to discounts based on the line item `price.tax_mode`. If `price.tax_mode` for a line item is `internal`, Paddle removes tax from the discount applied.
      - `tax`: string (required) — Total tax on the subtotal.
      - `total`: string (required) — Total after discount and tax.
      - `credit`: string (required) — Total credit applied to this transaction. This includes credits applied using a customer's credit balance and adjustments to a `billed` transaction.
      - `credit_to_balance`: string (required) — Additional credit generated from negative `details.line_items`. This credit is added to the customer balance.
      - `balance`: string (required) — Total due on a transaction after credits and any payments.
      - `grand_total`: string (required) — Total due on a transaction after credits but before any payments.
      - `grand_total_tax`: string (required) — Net tax amount included in `grand_total`. Equals the full `tax` amount unless credits are applied, in which case this value is proportionally reduced.
      - `fee`: string | null (required) — Total fee taken by Paddle for this transaction. `null` until the transaction is `completed` and the fee is processed.
      - `earnings`: string | null (required) — Total earnings for this transaction. This is the total minus the Paddle fee. `null` until the transaction is `completed` and the fee is processed.
      - `currency_code`: string (required) — Three-letter ISO 4217 currency code of the currency used for this transaction.
        - `USD` — United States Dollar
        - `EUR` — Euro
        - `GBP` — Pound Sterling
        - `JPY` — Japanese Yen
        - `AUD` — Australian Dollar
        - `CAD` — Canadian Dollar
        - `CHF` — Swiss Franc
        - `HKD` — Hong Kong Dollar
        - `SGD` — Singapore Dollar
        - `SEK` — Swedish Krona
        - `ARS` — Argentine Peso
        - `BRL` — Brazilian Real
        - `CLP` — Chilean Peso
        - `CNY` — Chinese Yuan
        - `COP` — Colombian Peso
        - `CZK` — Czech Koruna
        - `DKK` — Danish Krone
        - `HUF` — Hungarian Forint
        - `ILS` — Israeli Shekel
        - `INR` — Indian Rupee
        - `KRW` — South Korean Won
        - `MXN` — Mexican Peso
        - `NOK` — Norwegian Krone
        - `NZD` — New Zealand Dollar
        - `PEN` — Peruvian Sol
        - `PLN` — Polish Zloty
        - `RUB` — Russian Ruble
        - `THB` — Thai Baht
        - `TRY` — Turkish Lira
        - `TWD` — New Taiwan Dollar
        - `UAH` — Ukrainian Hryvnia
        - `VND` — Vietnamese Dong
        - `ZAR` — South African Rand
    - `adjusted_totals`: object (required) — Breakdown of the totals for a transaction after adjustments.
      - `subtotal`: string (required) — Subtotal before discount, tax, and deductions. If an item, unit price multiplied by quantity.
      - `tax`: string (required) — Total tax on the subtotal.
      - `total`: string (required) — Total after tax.
      - `grand_total`: string (required) — Total due after credits but before any payments.
      - `grand_total_tax`: string (required) — Net tax amount included in `grand_total`. Equals the full `tax` amount unless credits are applied, in which case this value is proportionally reduced.
      - `fee`: string | null (required) — Total fee taken by Paddle for this transaction. `null` until the transaction is `completed` and the fee is processed.
      - `retained_fee`: string (required) — Total Paddle fees retained for this adjustment.
      - `earnings`: string | null (required) — Total earnings for this transaction. This is the total minus the Paddle fee.
`null` until the transaction is `completed` and the fee is processed.
      - `currency_code`: string (required) — Three-letter ISO 4217 currency code of the currency used for this transaction.
        - `USD` — United States Dollar
        - `EUR` — Euro
        - `GBP` — Pound Sterling
        - `JPY` — Japanese Yen
        - `AUD` — Australian Dollar
        - `CAD` — Canadian Dollar
        - `CHF` — Swiss Franc
        - `HKD` — Hong Kong Dollar
        - `SGD` — Singapore Dollar
        - `SEK` — Swedish Krona
        - `ARS` — Argentine Peso
        - `BRL` — Brazilian Real
        - `CLP` — Chilean Peso
        - `CNY` — Chinese Yuan
        - `COP` — Colombian Peso
        - `CZK` — Czech Koruna
        - `DKK` — Danish Krone
        - `HUF` — Hungarian Forint
        - `ILS` — Israeli Shekel
        - `INR` — Indian Rupee
        - `KRW` — South Korean Won
        - `MXN` — Mexican Peso
        - `NOK` — Norwegian Krone
        - `NZD` — New Zealand Dollar
        - `PEN` — Peruvian Sol
        - `PLN` — Polish Zloty
        - `RUB` — Russian Ruble
        - `THB` — Thai Baht
        - `TRY` — Turkish Lira
        - `TWD` — New Taiwan Dollar
        - `UAH` — Ukrainian Hryvnia
        - `VND` — Vietnamese Dong
        - `ZAR` — South African Rand
    - `payout_totals`: object | null (required) — Breakdown of the payout total for a transaction. `null` until the transaction is `completed`. Returned in your payout currency.
      - `subtotal`: string (required) — Total before tax and fees.
      - `discount`: string (required) — Total discount as a result of any discounts applied.
Except for percentage discounts, Paddle applies tax to discounts based on the line item `price.tax_mode`. If `price.tax_mode` for a line item is `internal`, Paddle removes tax from the discount applied.
      - `tax`: string (required) — Total tax on the subtotal.
      - `total`: string (required) — Total after tax.
      - `credit`: string (required) — Total credit applied to this transaction. This includes credits applied using a customer's credit balance and adjustments to a `billed` transaction.
      - `credit_to_balance`: string (required) — Additional credit generated from negative `details.line_items`. This credit is added to the customer balance.
      - `balance`: string (required) — Total due on a transaction after credits and any payments.
      - `grand_total`: string (required) — Total due on a transaction after credits but before any payments.
      - `grand_total_tax`: string (required) — Net tax amount included in `grand_total`. Equals the full `tax` amount unless credits are applied, in which case this value is proportionally reduced.
      - `fee`: string (required) — Total fee taken by Paddle for this payout.
      - `earnings`: string (required) — Total earnings for this payout. This is the subtotal minus the Paddle fee.
      - `currency_code`: string (required) — Three-letter ISO 4217 currency code used for the payout for this transaction. If your primary currency has changed, this reflects the primary currency at the time the transaction was billed.
        - `AUD` — Australian Dollar
        - `CAD` — Canadian Dollar
        - `CHF` — Swiss Franc
        - `CNY` — Chinese Yuan
        - `CZK` — Czech Koruna
        - `DKK` — Danish Krone
        - `EUR` — Euro
        - `GBP` — Pound Sterling
        - `HUF` — Hungarian Forint
        - `PLN` — Polish Zloty
        - `SEK` — Swedish Krona
        - `USD` — United States Dollar
        - `ZAR` — South African Rand
      - `exchange_rate`: string (required) — Currency exchange rate, including margin if applicable. `1.0` if the transaction currency matches your payout currency. (default: `"1"`)
      - `fee_rate`: string (required) — Paddle fee rate that was applied to this transaction.
    - `adjusted_payout_totals`: object | null (required) — Breakdown of the payout total for a transaction after adjustments. `null` until the transaction is `completed`.
      - `subtotal`: string (required) — Total before tax and fees.
      - `tax`: string (required) — Total tax on the subtotal.
      - `total`: string (required) — Total after tax.
      - `fee`: string (required) — Total fee taken by Paddle for this payout.
      - `retained_fee`: string (required) — Paddle fees retained for this adjustment.
      - `chargeback_fee`: object (required) — Details of any chargeback fees incurred for this transaction.
        - `amount`: string (required) — Chargeback fee converted into the payout currency.
        - `original`: object | null (required) — Chargeback fee before conversion to the payout currency. `null` when the chargeback fee is the same as the payout currency.
          - `amount`: string (required) — Fee amount for this chargeback in the original currency.
          - `currency_code`: string (required) — Three-letter ISO 4217 currency code for the original chargeback fee.
            - `AUD` — Australian Dollar
            - `CAD` — Canadian Dollar
            - `EUR` — Euro
            - `GBP` — Pound Sterling
            - `USD` — United States Dollar
      - `earnings`: string (required) — Total earnings for this payout. This is the subtotal minus the Paddle fee, excluding chargeback fees.
      - `currency_code`: string (required) — Three-letter ISO 4217 currency code used for the payout for this transaction. If your primary currency has changed, this reflects the primary currency at the time the transaction was billed.
        - `AUD` — Australian Dollar
        - `CAD` — Canadian Dollar
        - `CHF` — Swiss Franc
        - `CNY` — Chinese Yuan
        - `CZK` — Czech Koruna
        - `DKK` — Danish Krone
        - `EUR` — Euro
        - `GBP` — Pound Sterling
        - `HUF` — Hungarian Forint
        - `PLN` — Polish Zloty
        - `SEK` — Swedish Krona
        - `USD` — United States Dollar
        - `ZAR` — South African Rand
      - `exchange_rate`: string (required) — Currency exchange rate, including margin if applicable. `1.0` if the transaction currency matches your payout currency.
    - `line_items`: array (required) — Information about line items for this transaction. Different from transaction `items` as they include totals calculated by Paddle. Considered the source of truth for line item totals.
      - `price_id`: string (required) — Paddle ID for the price related to this transaction line item, prefixed with `pri_`. (pattern: `^pri_[a-z\d]{26}$`)
      - `quantity`: integer (required) — Quantity of this transaction line item.
      - `proration`: object | null (required) — How proration was calculated for this item. Populated when a transaction is created from a subscription change, where `proration_billing_mode` was `prorated_immediately` or `prorated_next_billing_period`. Set automatically by Paddle.
        - `rate`: string (required) — Rate used to calculate proration.
        - `billing_period`: object (required) — Billing period that proration is based on.
          - `starts_at`: string (date-time) (required) — RFC 3339 datetime string of when this period starts.
          - `ends_at`: string (date-time) (required) — RFC 3339 datetime string of when this period ends.
      - `tax_rate`: string (required) — Rate used to calculate tax for this transaction line item.
      - `unit_totals`: object (required) — Breakdown of the charge for one unit in the lowest denomination of a currency (e.g. cents for USD).
        - `subtotal`: string (required) — Subtotal before discount, tax, and deductions. If an item, unit price multiplied by quantity.
        - `discount`: string (required) — Total discount as a result of any discounts applied.

Except for percentage discounts, Paddle applies tax to discounts based on the line item `price.tax_mode`. If `price.tax_mode` for a line item is `internal`, Paddle removes tax from the discount applied.
        - `tax`: string (required) — Total tax on the subtotal.
        - `total`: string (required) — Total after discount and tax.
      - `totals`: object (required) — Breakdown of a charge in the lowest denomination of a currency (e.g. cents for USD).
        - `subtotal`: string (required) — Subtotal before discount, tax, and deductions. If an item, unit price multiplied by quantity.
        - `discount`: string (required) — Total discount as a result of any discounts applied.

Except for percentage discounts, Paddle applies tax to discounts based on the line item `price.tax_mode`. If `price.tax_mode` for a line item is `internal`, Paddle removes tax from the discount applied.
        - `tax`: string (required) — Total tax on the subtotal.
        - `total`: string (required) — Total after discount and tax.
      - `product`: object (required) — Related product entity for this transaction line item price. Reflects the entity at the time it was added to the transaction.
        - `id`: string (required) — Unique Paddle ID for this product, prefixed with `pro_`. (pattern: `^pro_[a-z\d]{26}$`)
        - `name`: string (required) — Name of this product. (Length: 1–200)
        - `description`: string | null (required) — Short description for this product. (Max length: 2048)
        - `type`: string (required) — Type of item. Standard items are considered part of your catalog and are shown in the Paddle dashboard. (default: `"standard"`)
          - `custom` — Non-catalog item. Typically created for a specific transaction or subscription. Not returned when listing or shown in the Paddle dashboard.
          - `standard` — Standard item. Can be considered part of your catalog and reused across transactions and subscriptions easily.
        - `tax_category`: string (required) — Tax category for this product. Used for charging the correct rate of tax. Selected tax category must be enabled on your Paddle account.
          - `digital-goods` — Non-customizable digital files or media (not software) acquired with an up front payment that can be accessed without any physical product being delivered.
          - `ebooks` — Digital books and educational material which is sold with permanent rights for use by the customer.
          - `implementation-services` — Remote configuration, set-up, and integrating software on behalf of a customer.
          - `professional-services` — Services that involve the application of your expertise and specialized knowledge of a software product.
          - `saas` — Products that allow users to connect to and use online or cloud-based applications over the Internet.
          - `software-programming-services` — Services that can be used to customize and white label software products.
          - `standard` — Software products that are pre-written and can be downloaded and installed onto a local device.
          - `training-services` — Training and education services related to software products.
          - `website-hosting` — Cloud storage service for personal or corporate information, assets, or intellectual property.
        - `image_url` (required) — Image for this product. Included in the checkout and on some customer documents.
          - Image Url — A URL to an image.
          - Empty String
        - `custom_data`: object | null (required) — Your own structured key-value data.
        - `status`: string (required) — Whether this entity can be used in Paddle. (default: `"active"`)
          - `active` — Entity is active and can be used.
          - `archived` — Entity is archived, so can't be used.
        - `import_meta`: object | null (required) — Import information for this entity. `null` if this entity is not imported.
          - `external_id`: string | null — Reference or identifier for this entity from the provider where it was imported from. (Length: 1–200)
          - `imported_from`: string (required) — Name of the platform or provider where this entity was imported from. (Length: 1–200)
        - `created_at`: string (date-time) (required) — RFC 3339 datetime string of when this entity was created. Set automatically by Paddle.
        - `updated_at`: string (date-time) (required) — RFC 3339 datetime string of when this entity was updated. Set automatically by Paddle.
      - `id`: string (required) — Unique Paddle ID for this transaction item, prefixed with `txnitm_`. Used when working with [adjustments](https://developer.paddle.com/build/transactions/create-transaction-adjustments). (pattern: `^txnitm_[a-z\d]{26}$`)
  - `payments`: array (required) — List of payment attempts for this transaction, including successful payments. Sorted by `created_at` in descending order, so most recent attempts are returned first.
    - `payment_attempt_id`: string (required) — UUID for this payment attempt.
    - `stored_payment_method_id`: string (required) — UUID for the stored payment method used for this payment attempt. Deprecated - use `payment_method_id` instead.
    - `payment_method_id`: string | null (required) — Paddle ID of the payment method used for this payment attempt, prefixed with `paymtd_`. (pattern: `^paymtd_[a-z\d]{26}$`)
    - `amount`: string (required) — Amount for collection in the lowest denomination of a currency (e.g. cents for USD).
    - `status`: string (required) — Status of this payment attempt.
      - `authorized` — Authorized but not captured. Payment attempt is incomplete.
      - `authorized_flagged` — Authorized but not captured because it has been flagged as potentially fraudulent. Payment attempt is incomplete.
      - `canceled` — Previously authorized payment attempt has been canceled. Typically when `authorized_flagged` payment attempts are rejected.
      - `captured` — Payment captured successfully. Payment attempt is complete.
      - `error` — Something went wrong and the payment attempt was unsuccessful. Check the `error_code` for more information.
      - `action_required` — Customer must complete an action for this payment attempt to proceed. Typically means that the payment attempt requires 3DS.
      - `pending_no_action_required` — Response required from the bank or payment provider. Transaction is pending.
      - `created` — New payment attempt created.
      - `unknown` — Payment attempt status not known.
      - `dropped` — Payment attempt dropped by Paddle.
    - `error_code`: string | null (required) — Reason why a payment attempt failed. Returns `null` if payment captured successfully.
      - `already_canceled` — Cancellation not possible because the amount has already been canceled. Not typically returned for payments.
      - `already_refunded` — Refund is not possible because the amount has already been refunded. Not typically returned for payments.
      - `authentication_failed` — Payment required a 3DS2 authentication challenge. The customer completed the challenge but was not successful.
      - `blocked_card` — Payment method issuer has indicated that the card cannot be used as it is frozen, lost, damaged, or stolen.
      - `canceled` — Customer has requested that the mandate for recurring payments be canceled.
      - `declined` — Payment method has been declined, with no other information returned.
      - `declined_not_retryable` — Payment method has been declined, and the issuer has indicated that it should not be retried. This could mean the account is closed or the customer revoked authorization to charge the payment method.
      - `expired_card` — Payment method issuer has indicated that this card is expired. Expired cards may also return `invalid_payment_details`, depending on how a payment is routed.
      - `fraud` — Payment method issuer or payment service provider flagged this payment as potentially fraudulent.
      - `invalid_amount` — Payment method issuer or payment service provider cannot process a payment that is this high or low.
      - `invalid_payment_details` — Payment service provider has indicated the payment method isn't valid. This typically means that it's expired. `expired_card` is returned by the payment method issuer, rather than the payment service provider.
      - `issuer_unavailable` — Payment service provider couldn't reach the payment method issuer.
      - `not_enough_balance` — Payment method declined because of insufficient funds, or fund limits being reached.
      - `preferred_network_not_supported` — Payment method has been declined because the network scheme that the customer selected isn't supported by the payment service provider.
      - `prepaid_card_not_supported` — Payment method has been declined because it's a prepaid card and prepaid cards are blocked on this Paddle account.
      - `psp_error` — Something went wrong with the payment service provider, with no other information returned.
      - `redacted_payment_method` — Payment service provider didn't receive payment method information as they've been redacted.
      - `system_error` — Something went wrong with the Paddle platform. Try again later, or check status.paddle.com.
      - `transaction_not_permitted` — Payment method issuer doesn't allow this kind of payment because of limits on the account, or legal or compliance reasons.
      - `unknown` — Payment attempt unsuccessful, with no other information returned.
    - `method_details`: object (required) — Information about the payment method used for a payment attempt.
      - `type`: string (required) — Type of payment method used for this payment attempt.
        - `alipay` — Alipay, popular in China.
        - `apple_pay` — Apple Pay on a supported Apple device.
        - `bancontact` — Bancontact, popular in Belgium.
        - `blik` — BLIK, a popular payment method in Poland.
        - `card` — Credit or debit card.
        - `google_pay` — Google Pay on a supported Android device, Chromebook, or Google Chrome browser.
        - `ideal` — iDEAL, popular in the Netherlands.
        - `kakao_pay` — Kakao Pay, a popular payment method in Korea.
        - `korea_local` — Korean payment methods, which includes over 20 payment options for the Korean market. Check `underlying_payment_method.korea_local` for information about the Korean payment method used to pay.
        - `south_korea_local_card` — Korean local credit or debit card.
        - `mb_way` — MB WAY, a popular payment method in Portugal.
        - `naver_pay` — Naver Pay, a popular payment method in Korea.
        - `offline` — Payment recorded offline.
        - `payco` — Payco, a popular payment method in Korea.
        - `paypal` — PayPal.
        - `pix` — Pix, popular in Brazil. Available in early access.
        - `samsung_pay` — Samsung Pay, a popular payment method in Korea.
        - `unknown` — Payment method not known.
        - `upi` — Unified Payments Interface (UPI), popular in India. Available in early access.
        - `wechat_pay` — WeChat Pay, a popular payment method in China.
        - `wire_transfer` — Wire transfer, sometimes called bank transfer.
      - `underlying_details`: object | null (required) — Information about the underlying payment method used to pay. Populated for payment methods that offer multiple payment options, like `korea_local`. Deprecated - use top-level type objects instead.
        - `korea_local`: object | null (required) — Information about the Korean payment method used to pay. `null` unless the type is `korea_local`.
          - `type`: string (required) — Type of Korean payment method used to pay.
            - `bc` — BC Card (BCard), a kind of card issued in Korea. (비씨카드)
            - `citi` — Card issued by Citi Bank in Korea. (한국씨티은행)
            - `hana` — Card issued by Hana Bank in Korea. (하나카드)
            - `hyundai` — Hyundai Card, a credit card issued by Hyundai in Korea. (현대카드)
            - `jeju` — Card issued by Jeju Bank in Korea. (제주은행)
            - `jeonbuk` — Card issued by Jeonbuk Bank in Korea. (전북은행)
            - `kakaobank` — Card issued by Kakaobank in Korea. (주식회사 카카오뱅크)
            - `kakaopay` — KakaoPay digital wallet, popular in Korea. (카카오페이)
            - `kbank` — Card issued by K Bank in Korea. (케이뱅크)
            - `kdbbank` — Card issued by KDB Bank in Korea. (한국산업은행)
            - `kookmin` — Card issued by Kookmin Bank in Korea. (국민은행)
            - `kwangju` — Card issued by Kwangju Bank in Korea. (광주은행)
            - `lotte` — Lotte Card, a credit card issued by the Lotte Corporation in Korea. (롯데카드)
            - `mg` — Card issued by MG Community Credit Cooperatives (KFCC) in Korea. (MG새마을금고)
            - `naverpaycard` — Card issued by Naver Pay in Korea. (네이버 페이)
            - `naverpaypoint` — Naver Pay digital wallet, popular in Korea. (네이버 페이)
            - `nh` — NH Card, a card issued by Nonghyup Bank in Korea. (NH농협은행)
            - `payco` — PayCo digital wallet, popular in Korea. (페이코)
            - `post` — Card issued by Korea Post. (우체국예금보험)
            - `samsung` — Samsung Card, a card issued by Samsung in Korea. (삼성카드)
            - `samsungpay` — Samsung Pay digital wallet, popular in Korea. (삼성 월렛)
            - `savingsbank` — Card issued by the Korean Federation of Savings Banks in Korea. (저축은행중앙회)
            - `shinhan` — Card issued by Shinhan Bank in Korea. (주식회사 신한은행)
            - `shinhyup` — Card issued by the National Credit Unit Federation of Korea (Shinhyup) in Korea. (신한은행 신협)
            - `suhyup` — Card issued by the National Federation of Fisheries Cooperation (Suhyup) in Korea. (수협은행)
            - `tossbank` — Card issued by Toss Bank in Korea. (토스뱅크)
            - `unknown` — Underlying payment method not recognized.
            - `woori` — Card issued by Woori Bank in Korea. (주식회사 우리은행)
      - `south_korea_local_card`: object | null (required) — Information about the Korean credit or debit card used to pay. `null` unless `type` is `south_korea_local_card`.
        - `type`: string — Type of Korean payment method used to pay.
          - `bc` — BC Card (BCard), a kind of card issued in Korea. (비씨카드).
          - `citi` — Card issued by Citi Bank in Korea. (한국씨티은행).
          - `hana` — Card issued by Hana Bank in Korea. (하나카드).
          - `hyundai` — Hyundai Card, a credit card issued by Hyundai in Korea. (현대카드).
          - `jeju` — Card issued by Jeju Bank in Korea. (제주은행).
          - `jeonbuk` — Card issued by Jeonbuk Bank in Korea. (전북은행).
          - `kakaobank` — Card issued by KakaoBank in Korea. (카카오뱅크).
          - `kbank` — Card issued by K Bank in Korea. (케이뱅크).
          - `kdbbank` — Card issued by KDB Bank in Korea. (한국산업은행).
          - `kookmin` — Card issued by Kookmin Bank in Korea. (국민은행).
          - `kwangju` — Card issued by Kwangju Bank in Korea. (광주은행).
          - `lotte` — Lotte Card, a credit card issued by the Lotte Corporation in Korea. (롯데카드).
          - `mg` — Card issued by MG Community Credit Cooperatives (KFCC) in Korea. (MG새마을금고).
          - `nh` — NH Card, a card issued by Nonghyup Bank in Korea. (NH농협은행).
          - `post` — Card issued by Korea Post. (우체국예금보험).
          - `samsung` — Samsung Card, a card issued by Samsung in Korea. (삼성카드).
          - `savingsbank` — Card issued by the Korean Federation of Savings Banks in Korea. (저축은행중앙회).
          - `shinhan` — Card issued by Shinhan Bank in Korea. (주식회사 신한은행).
          - `shinhyup` — Card issued by the National Credit Unit Federation of Korea (Shinhyup) in Korea. (신한은행 신협).
          - `suhyup` — Card issued by the National Federation of Fisheries Cooperation (Suhyup) in Korea. (수협은행).
          - `tossbank` — Card issued by Toss Bank in Korea. (토스뱅크).
          - `unknown` — Underlying payment method not recognized.
          - `woori` — Card issued by Woori Bank in Korea. (주식회사 우리은행).
        - `last4`: string — Last four digits of the card used to pay.
      - `card`: object | null (required) — Information about the credit or debit card used to pay. `null` unless `type` is `card`.
        - `type`: string (required) — Type of credit or debit card used to pay.
          - `american_express` — American Express
          - `diners_club` — Diners Club
          - `discover` — Discover Card
          - `jcb` — JCB Card, popular in Japan
          - `mada` — Mada Card, popular in Saudi Arabia
          - `maestro` — Maestro (debit card)
          - `mastercard` — Mastercard
          - `union_pay` — UnionPay, popular in China
          - `unknown` — Card type unknown
          - `visa` — Visa
        - `last4`: string (required) — Last four digits of the card used to pay.
        - `expiry_month`: integer (required) — Month of the expiry date of the card used to pay.
        - `expiry_year`: integer (required) — Year of the expiry date of the card used to pay.
        - `cardholder_name`: string (required) — The name on the card used to pay.
      - `paypal`: object | null (required) — Information about the PayPal account used to pay. `null` unless `type` is `paypal`.
        - `email`: string (required) — Email address associated with the PayPal account.
        - `reference`: string | null (required) — PayPal billing agreement identifier. Only populated for subscription payments where a billing agreement was created between the customer and PayPal. `null` for one-off PayPal payments.
    - `created_at`: string (date-time) (required) — RFC 3339 datetime string of when this entity was created. Set automatically by Paddle.
    - `captured_at`: string (date-time) | null (required) — RFC 3339 datetime string of when this payment was captured. `null` if `status` is not `captured`.
  - `checkout`: object | null (required) — Paddle Checkout details for this transaction. Returned for automatically-collected transactions and where `billing_details.enable_checkout` is `true` for manually-collected transactions; `null` otherwise.
    - `url`: string | null (required) — Paddle Checkout URL for this transaction, composed of the URL passed in the request or your default payment URL + `?_ptxn=` and the Paddle ID for this transaction. (Length: 1–2048)
  - `created_at`: string (date-time) (required) — RFC 3339 datetime string of when this entity was created. Set automatically by Paddle.
  - `updated_at`: string (date-time) (required) — RFC 3339 datetime string of when this entity was updated. Set automatically by Paddle.
  - `billed_at`: string (date-time) | null (required) — RFC 3339 datetime string of when this transaction was marked as `billed`. `null` for transactions that aren't `billed` or `completed`. Set automatically by Paddle.
  - `revised_at`: string (date-time) | null (required) — RFC 3339 datetime string of when a transaction was revised. Revisions describe an update to customer information for a billed or completed transaction. `null` if not revised. Set automatically by Paddle.
  - `address`: object — Address for this transaction. Reflects the entity at the time it was added to the transaction, or its revision if `revised_at` is not `null`. Returned when the `include` parameter is used with the `address` value and the transaction has an `address_id`.
    - `id`: string (required) — Unique Paddle ID for this address entity, prefixed with `add_`. (pattern: `^add_[a-z\d]{26}$`)
    - `customer_id`: string (required) — Paddle ID for the customer related to this address, prefixed with `ctm_`. (pattern: `^ctm_[a-z\d]{26}$`)
    - `description`: string | null (required) — Memorable description for this address. (Max length: 1024)
    - `first_line`: string | null (required) — First line of this address. (Max length: 1024)
    - `second_line`: string | null (required) — Second line of this address. (Max length: 1024)
    - `city`: string | null (required) — City of this address. (Max length: 200)
    - `postal_code`: string | null (required) — ZIP or postal code of this address. Required for some countries. (Max length: 200)
    - `region`: string | null (required) — State, county, or region of this address. (Max length: 200)
    - `country_code` (required) — Supported two-letter ISO 3166-1 alpha-2 country code for this address.
      - string — Two-letter code for a country that Paddle supports sales to. Typically an ISO 3166-1 alpha-2 code, though Paddle uses a small number of codes that ISO doesn't currently assign.
        - `AD` — Andorra
        - `AE` — United Arab Emirates
        - `AG` — Antigua and Barbuda
        - `AI` — Anguilla
        - `AL` — Albania
        - `AM` — Armenia
        - `AO` — Angola
        - `AR` — Argentina
        - `AS` — American Samoa
        - `AT` — Austria
        - `AU` — Australia
        - `AW` — Aruba
        - `AX` — Åland Islands
        - `AZ` — Azerbaijan
        - `BA` — Bosnia and Herzegovina
        - `BB` — Barbados
        - `BD` — Bangladesh
        - `BE` — Belgium
        - `BF` — Burkina Faso
        - `BG` — Bulgaria
        - `BH` — Bahrain
        - `BI` — Burundi
        - `BJ` — Benin
        - `BL` — Saint Barthélemy
        - `BM` — Bermuda
        - `BN` — Brunei
        - `BO` — Bolivia
        - `BQ` — Caribbean Netherlands (Bonaire, Sint Eustatius, and Saba)
        - `BR` — Brazil
        - `BS` — Bahamas
        - `BT` — Bhutan
        - `BV` — Bouvet Island
        - `BW` — Botswana
        - `BZ` — Belize
        - `CA` — Canada
        - `CC` — Cocos Islands
        - `CG` — Republic of Congo
        - `CH` — Switzerland
        - `CI` — Côte d'Ivoire (Ivory Coast)
        - `CK` — Cook Islands
        - `CL` — Chile
        - `CM` — Cameroon
        - `CN` — China
        - `CO` — Colombia
        - `CR` — Costa Rica
        - `CV` — Cape Verde
        - `CW` — Curaçao
        - `CX` — Christmas Island
        - `CY` — Cyprus
        - `CZ` — Czechia (Czech Republic)
        - `DE` — Germany
        - `DJ` — Djibouti
        - `DK` — Denmark
        - `DM` — Dominica
        - `DO` — Dominican Republic
        - `DZ` — Algeria
        - `EC` — Ecuador
        - `EE` — Estonia
        - `EG` — Egypt
        - `EH` — Western Sahara
        - `ER` — Eritrea
        - `ES` — Spain
        - `ET` — Ethiopia
        - `FI` — Finland
        - `FJ` — Fiji
        - `FK` — Falkland Islands
        - `FM` — Micronesia
        - `FO` — Faroe Islands
        - `FR` — France
        - `GA` — Gabon
        - `GB` — United Kingdom
        - `GD` — Grenada
        - `GE` — Georgia
        - `GF` — French Guiana
        - `GG` — Guernsey
        - `GH` — Ghana
        - `GI` — Gibraltar
        - `GL` — Greenland
        - `GM` — Gambia
        - `GN` — Guinea
        - `GP` — Guadeloupe
        - `GQ` — Equatorial Guinea
        - `GR` — Greece
        - `GS` — South Georgia and the South Sandwich Islands
        - `GT` — Guatemala
        - `GU` — Guam
        - `GW` — Guinea-Bissau
        - `GY` — Guyana
        - `HK` — Hong Kong
        - `HM` — Heard Island and McDonald Islands
        - `HN` — Honduras
        - `HR` — Croatia
        - `HU` — Hungary
        - `ID` — Indonesia
        - `IE` — Ireland
        - `IL` — Israel
        - `IM` — Isle of Man
        - `IN` — India
        - `IO` — British Indian Ocean Territory
        - `IQ` — Iraq
        - `IS` — Iceland
        - `IT` — Italy
        - `JE` — Jersey
        - `JM` — Jamaica
        - `JO` — Jordan
        - `JP` — Japan
        - `KE` — Kenya
        - `KG` — Kyrgyzstan
        - `KH` — Cambodia
        - `KI` — Kiribati
        - `KM` — Comoros
        - `KN` — Saint Kitts and Nevis
        - `KR` — South Korea
        - `KW` — Kuwait
        - `KY` — Cayman Islands
        - `KZ` — Kazakhstan
        - `LA` — Lao People's Democratic Republic (Laos)
        - `LB` — Lebanon
        - `LC` — Saint Lucia
        - `LI` — Liechtenstein
        - `LK` — Sri Lanka
        - `LR` — Liberia
        - `LS` — Lesotho
        - `LT` — Lithuania
        - `LU` — Luxembourg
        - `LV` — Latvia
        - `MA` — Morocco
        - `MC` — Monaco
        - `MD` — Moldova
        - `ME` — Montenegro
        - `MF` — Saint Martin
        - `MG` — Madagascar
        - `MH` — Marshall Islands
        - `MK` — Macedonia
        - `MN` — Mongolia
        - `MO` — Macao
        - `MP` — Northern Mariana Islands
        - `MQ` — Martinique
        - `MR` — Mauritania
        - `MS` — Montserrat
        - `MT` — Malta
        - `MU` — Mauritius
        - `MV` — Maldives
        - `MW` — Malawi
        - `MX` — Mexico
        - `MY` — Malaysia
        - `MZ` — Mozambique
        - `NA` — Namibia
        - `NC` — New Caledonia
        - `NE` — Niger
        - `NF` — Norfolk Island
        - `NG` — Nigeria
        - `NL` — Netherlands
        - `NO` — Norway
        - `NP` — Nepal
        - `NR` — Nauru
        - `NU` — Niue
        - `NZ` — New Zealand
        - `OM` — Oman
        - `PA` — Panama
        - `PE` — Peru
        - `PF` — French Polynesia
        - `PG` — Papua New Guinea
        - `PH` — Philippines
        - `PK` — Pakistan
        - `PL` — Poland
        - `PM` — Saint Pierre and Miquelon
        - `PN` — Pitcairn
        - `PR` — Puerto Rico
        - `PS` — Palestinian territories
        - `PT` — Portugal
        - `PW` — Palau
        - `PY` — Paraguay
        - `QA` — Qatar
        - `RE` — Reunion
        - `RO` — Romania
        - `RS` — Republic of Serbia
        - `RW` — Rwanda
        - `SA` — Saudi Arabia
        - `SB` — Solomon Islands
        - `SC` — Seychelles
        - `SE` — Sweden
        - `SG` — Singapore
        - `SH` — Saint Helena
        - `SI` — Slovenia
        - `SJ` — Svalbard and Jan Mayen
        - `SK` — Slovakia
        - `SL` — Sierra Leone
        - `SM` — San Marino
        - `SN` — Senegal
        - `SR` — Suriname
        - `ST` — São Tomé and Príncipe
        - `SV` — El Salvador
        - `SX` — Sint Maarten
        - `SZ` — Swaziland
        - `TC` — Turks and Caicos Islands
        - `TD` — Chad
        - `TF` — French Southern and Antarctic Lands
        - `TG` — Togo
        - `TH` — Thailand
        - `TJ` — Tajikistan
        - `TK` — Tokelau
        - `TL` — Timor-Leste
        - `TM` — Turkmenistan
        - `TN` — Tunisia
        - `TO` — Tonga
        - `TR` — Turkey
        - `TT` — Trinidad and Tobago
        - `TV` — Tuvalu
        - `TW` — Taiwan
        - `TZ` — Tanzania
        - `UA` — Ukraine
        - `UG` — Uganda
        - `UM` — United States Minor Outlying Islands
        - `US` — United States
        - `UY` — Uruguay
        - `UZ` — Uzbekistan
        - `VA` — Holy See (Vatican City)
        - `VC` — Saint Vincent and the Grenadines
        - `VG` — British Virgin Islands
        - `VI` — U.S. Virgin Islands
        - `VN` — Vietnam
        - `VU` — Vanuatu
        - `WF` — Wallis and Futuna
        - `WS` — Samoa
        - `XK` — Kosovo
        - `YT` — Mayotte
        - `ZA` — South Africa
        - `ZM` — Zambia
      - string — Two-letter code for a country that Paddle does not support sales to. Typically an ISO 3166-1 alpha-2 code, though Paddle uses a small number of codes that ISO doesn't currently assign.
        - `AF` — Afghanistan
        - `AQ` — Antarctica
        - `AN` — Netherlands Antilles. Withdrawn ISO 3166-1 code, succeeded by BQ, CW and SX.
        - `BY` — Belarus
        - `CD` — Democratic Republic of Congo
        - `CF` — Central African Republic
        - `CU` — Cuba
        - `CS` — Serbia and Montenegro. Withdrawn ISO 3166-1 code, succeeded by RS and ME.
        - `HT` — Haiti
        - `IR` — Iran
        - `KP` — North Korea
        - `LY` — Libya
        - `ML` — Mali
        - `MM` — Myanmar (Burma)
        - `NI` — Nicaragua
        - `RU` — Russia
        - `SO` — Somalia
        - `SS` — South Sudan
        - `SD` — Sudan
        - `SY` — Syria
        - `VE` — Venezuela
        - `YE` — Yemen
        - `ZW` — Zimbabwe
    - `custom_data`: object | null (required) — Your own structured key-value data.
    - `status`: string (required) — Whether this entity can be used in Paddle. (default: `"active"`)
      - `active` — Entity is active and can be used.
      - `archived` — Entity is archived, so can't be used.
    - `created_at`: string (date-time) (required) — RFC 3339 datetime string of when this entity was created. Set automatically by Paddle.
    - `updated_at`: string (date-time) (required) — RFC 3339 datetime string of when this entity was updated. Set automatically by Paddle.
    - `import_meta`: object | null (required) — Import information for this entity. `null` if this entity is not imported.
      - `external_id`: string | null — Reference or identifier for this entity from the provider where it was imported from. (Length: 1–200)
      - `imported_from`: string (required) — Name of the platform or provider where this entity was imported from. (Length: 1–200)
  - `adjustments`: array — List of adjustments for this transaction. Returned when the `include` parameter is used with the `adjustment` value and the transaction has adjustments.
    - `id`: string (required) — Unique Paddle ID for this adjustment entity, prefixed with `adj_`. (pattern: `^adj_[a-z\d]{26}$`)
    - `action`: string (required) — How this adjustment impacts the related transaction.
      - `credit` — Credits some or all the related transaction.
      - `refund` — Refunds some or all the related transaction. Must be approved by Paddle in most cases.
      - `chargeback` — Chargeback for the related transaction. Automatically created by Paddle when a customer successfully disputes a charge.
      - `chargeback_reverse` — Reversal of a chargeback for the related transaction. Automatically created by Paddle when Paddle contests a chargeback successfully.
      - `chargeback_warning` — Warning of an upcoming chargeback for the related transaction. Automatically created by Paddle.
      - `chargeback_warning_reverse` — Reversal of a chargeback warning for the related transaction. Automatically created by Paddle.
      - `credit_reverse` — Reversal of a credit for the related transaction. Automatically created by Paddle.
    - `type`: string (required) — Type of adjustment. Use `full` to adjust the grand total for the related transaction. Include an `items` array when creating a `partial` adjustment. If omitted, defaults to `partial`. (default: `"partial"`)
      - `full` — The grand total for the related transaction is adjusted.
      - `partial` — Some line items for the related transaction are adjusted. Requires `items`.
    - `transaction_id`: string (required) — Paddle ID of the transaction that this adjustment is for, prefixed with `txn_`. (pattern: `^txn_[a-z\d]{26}$`)
    - `subscription_id`: string | null (required) — Paddle ID for the subscription related to this adjustment, prefixed with `sub_`.
Set automatically by Paddle based on the `subscription_id` of the related transaction. (pattern: `^sub_[a-z\d]{26}$`)
    - `customer_id`: string (required) — Paddle ID for the customer related to this adjustment, prefixed with `ctm_`.
Set automatically by Paddle based on the `customer_id` of the related transaction. (pattern: `^ctm_[a-z\d]{26}$`)
    - `reason`: string (required) — Why this adjustment was created. Appears in the Paddle dashboard. Retained for record-keeping purposes.
    - `credit_applied_to_balance`: boolean | null — Whether this adjustment was applied to the related customer's credit balance. Only returned for `credit` adjustments.
    - `currency_code`: string (required) — Three-letter ISO 4217 currency code for this adjustment. Set automatically by Paddle based on the `currency_code` of the related transaction.
      - `USD` — United States Dollar
      - `EUR` — Euro
      - `GBP` — Pound Sterling
      - `JPY` — Japanese Yen
      - `AUD` — Australian Dollar
      - `CAD` — Canadian Dollar
      - `CHF` — Swiss Franc
      - `HKD` — Hong Kong Dollar
      - `SGD` — Singapore Dollar
      - `SEK` — Swedish Krona
      - `ARS` — Argentine Peso
      - `BRL` — Brazilian Real
      - `CLP` — Chilean Peso
      - `CNY` — Chinese Yuan
      - `COP` — Colombian Peso
      - `CZK` — Czech Koruna
      - `DKK` — Danish Krone
      - `HUF` — Hungarian Forint
      - `ILS` — Israeli Shekel
      - `INR` — Indian Rupee
      - `KRW` — South Korean Won
      - `MXN` — Mexican Peso
      - `NOK` — Norwegian Krone
      - `NZD` — New Zealand Dollar
      - `PEN` — Peruvian Sol
      - `PLN` — Polish Zloty
      - `RUB` — Russian Ruble
      - `THB` — Thai Baht
      - `TRY` — Turkish Lira
      - `TWD` — New Taiwan Dollar
      - `UAH` — Ukrainian Hryvnia
      - `VND` — Vietnamese Dong
      - `ZAR` — South African Rand
    - `status`: string (required) — Status of this adjustment. Set automatically by Paddle.

Most refunds for live accounts are created with the status of `pending_approval` until reviewed by Paddle, but some are automatically approved. For sandbox accounts, Paddle automatically approves refunds every ten minutes.

Credit adjustments don't require approval from Paddle, so they're created as `approved`.
      - `pending_approval` — Adjustment is pending approval by Paddle. Most refunds for live accounts must be approved by Paddle.
      - `approved` — Adjustment is approved. Default for credits. Set when Paddle approves a refund that was `pending_approval`.
      - `rejected` — Adjustment has been rejected. Set when Paddle rejects a refund that was `pending_approval`.
      - `reversed` — Adjustment has been reversed. Set by Paddle when a `chargeback_reversal` or `credit_reversal` adjustment is created for this adjustment.
    - `items`: array (required) — List of items on this adjustment. Required if `type` is not populated or set to `partial`. (Items: 1–100)
      - `id`: string (required) — Unique Paddle ID for this adjustment item, prefixed with `adjitm_`. (pattern: `^adjitm_[a-z\d]{26}$`)
      - `item_id`: string (required) — Paddle ID for the transaction item that this adjustment item relates to, prefixed with `txnitm_`. (pattern: `^txnitm_[a-z\d]{26}$`)
      - `type`: string (required) — Type of adjustment for this transaction item. `tax` adjustments are automatically created by Paddle.
Include `amount` when creating a `partial` adjustment.
        - `full` — Full total for this transaction item is adjusted.
        - `partial` — Part of this transaction item is adjusted. Include `amount` to specify the partial amount adjusted.
        - `tax` — Tax for this transaction item is adjusted. Created automatically by Paddle.
        - `proration` — A prorated amount for this transaction item is adjusted. Created automatically by Paddle in some cases when making changes to a subscription.
      - `amount`: string | null (required) — Amount adjusted for this transaction item. Required when item `type` is `partial`.
      - `proration`: object | null (required) — How proration was calculated for this adjustment item.
        - `rate`: string (required) — Rate used to calculate proration.
        - `billing_period`: object (required) — Billing period that proration is based on.
          - `starts_at`: string (date-time) (required) — RFC 3339 datetime string of when this period starts.
          - `ends_at`: string (date-time) (required) — RFC 3339 datetime string of when this period ends.
      - `totals`: object (required) — Breakdown of the total for an adjustment item.
        - `subtotal`: string (required) — Amount multiplied by quantity.
        - `tax`: string (required) — Total tax on the subtotal.
        - `total`: string (required) — Total after tax.
    - `totals`: object (required) — Breakdown of the total for an adjustment.
      - `subtotal`: string (required) — Total before tax. For tax adjustments, the value is 0.
      - `tax`: string (required) — Total tax on the subtotal.
      - `total`: string (required) — Total after tax.
      - `fee`: string (required) — Total fee taken by Paddle for this adjustment.
      - `retained_fee`: string — Paddle fees retained for this adjustment.
      - `earnings`: string (required) — Total earnings. This is the subtotal minus the Paddle fee.
For tax adjustments, this value is negative, which means a positive effect in the transaction earnings.
This is because the fee is originally calculated from the transaction total, so if a tax adjustment is made,
then the fee portion of it is returned.
      - `currency_code`: string (required) — Three-letter ISO 4217 currency code used for this adjustment.
        - `USD` — United States Dollar
        - `EUR` — Euro
        - `GBP` — Pound Sterling
        - `JPY` — Japanese Yen
        - `AUD` — Australian Dollar
        - `CAD` — Canadian Dollar
        - `CHF` — Swiss Franc
        - `HKD` — Hong Kong Dollar
        - `SGD` — Singapore Dollar
        - `SEK` — Swedish Krona
        - `ARS` — Argentine Peso
        - `BRL` — Brazilian Real
        - `CLP` — Chilean Peso
        - `CNY` — Chinese Yuan
        - `COP` — Colombian Peso
        - `CZK` — Czech Koruna
        - `DKK` — Danish Krone
        - `HUF` — Hungarian Forint
        - `ILS` — Israeli Shekel
        - `INR` — Indian Rupee
        - `KRW` — South Korean Won
        - `MXN` — Mexican Peso
        - `NOK` — Norwegian Krone
        - `NZD` — New Zealand Dollar
        - `PEN` — Peruvian Sol
        - `PLN` — Polish Zloty
        - `RUB` — Russian Ruble
        - `THB` — Thai Baht
        - `TRY` — Turkish Lira
        - `TWD` — New Taiwan Dollar
        - `UAH` — Ukrainian Hryvnia
        - `VND` — Vietnamese Dong
        - `ZAR` — South African Rand
    - `payout_totals`: object | null (required) — Breakdown of how this adjustment affects your payout balance.
      - `subtotal`: string (required) — Adjustment total before tax and fees.
      - `tax`: string (required) — Total tax on the adjustment subtotal.
      - `total`: string (required) — Adjustment total after tax.
      - `fee`: string (required) — Adjusted Paddle fee.
      - `retained_fee`: string (required) — Paddle fees retained for this adjustment.
      - `chargeback_fee`: object — Chargeback fees incurred for this adjustment. Only returned when the adjustment `action` is `chargeback` or `chargeback_warning`.
        - `amount`: string (required) — Chargeback fee converted into the payout currency.
        - `original`: object | null (required) — Chargeback fee before conversion to the payout currency. `null` when the chargeback fee is the same as the payout currency.
          - `amount`: string (required) — Fee amount for this chargeback in the original currency.
          - `currency_code`: string (required) — Three-letter ISO 4217 currency code for the original chargeback fee.
            - `AUD` — Australian Dollar
            - `CAD` — Canadian Dollar
            - `EUR` — Euro
            - `GBP` — Pound Sterling
            - `USD` — United States Dollar
      - `earnings`: string (required) — Adjusted payout earnings. This is the adjustment total plus adjusted Paddle fees, excluding chargeback fees.
      - `currency_code`: string (required) — Three-letter ISO 4217 currency code used for the payout for this transaction. If your primary currency has changed, this reflects the primary currency at the time the transaction was billed.
        - `AUD` — Australian Dollar
        - `CAD` — Canadian Dollar
        - `CHF` — Swiss Franc
        - `CNY` — Chinese Yuan
        - `CZK` — Czech Koruna
        - `DKK` — Danish Krone
        - `EUR` — Euro
        - `GBP` — Pound Sterling
        - `HUF` — Hungarian Forint
        - `PLN` — Polish Zloty
        - `SEK` — Swedish Krona
        - `USD` — United States Dollar
        - `ZAR` — South African Rand
    - `tax_rates_used`: array (required)
      - `tax_rate`: string (required) — Rate used to calculate tax for this adjustment.
      - `totals`: object (required) — Calculated totals for the tax applied to this adjustment.
        - `subtotal`: string (required) — Total before tax. For tax adjustments, the value is 0.
        - `tax`: string (required) — Total tax on the subtotal.
        - `total`: string (required) — Total after tax.
    - `created_at`: string (date-time) (required) — RFC 3339 datetime string of when this entity was created. Set automatically by Paddle.
    - `updated_at`: string (date-time) (required) — RFC 3339 datetime string of when this entity was updated. Set automatically by Paddle.
  - `adjustments_totals`: object — Object containing totals for all adjustments on a transaction. Returned when the `include` parameter is used with the `adjustments_totals` value.
    - `subtotal`: string (required) — Total before tax.
    - `tax`: string (required) — Total tax on the subtotal.
    - `total`: string (required) — Total after tax.
    - `fee`: string (required) — Total fee taken by Paddle.
    - `retained_fee`: string (required) — Total gateway fee retained by Paddle.
    - `earnings`: string (required) — Total earnings. This is the subtotal minus the Paddle fee.
For tax adjustments, this value is negative, which means a positive effect in the transaction earnings.
This is because the fee is originally calculated from the transaction total, so if a tax adjustment is made,
then the fee portion of it is returned.
As a result, the earnings from all the adjustments performed could be either negative, positive or zero.
    - `breakdown`: object (required) — Breakdown of the total adjustments by adjustment action.
      - `credit`: string (required) — Total amount of credit adjustments.
      - `refund`: string (required) — Total amount of refund adjustments.
      - `chargeback`: string (required) — Total amount of chargeback adjustments.
    - `currency_code`: string (required) — Three-letter ISO 4217 currency code used for adjustments for this transaction.
      - `USD` — United States Dollar
      - `EUR` — Euro
      - `GBP` — Pound Sterling
      - `JPY` — Japanese Yen
      - `AUD` — Australian Dollar
      - `CAD` — Canadian Dollar
      - `CHF` — Swiss Franc
      - `HKD` — Hong Kong Dollar
      - `SGD` — Singapore Dollar
      - `SEK` — Swedish Krona
      - `ARS` — Argentine Peso
      - `BRL` — Brazilian Real
      - `CLP` — Chilean Peso
      - `CNY` — Chinese Yuan
      - `COP` — Colombian Peso
      - `CZK` — Czech Koruna
      - `DKK` — Danish Krone
      - `HUF` — Hungarian Forint
      - `ILS` — Israeli Shekel
      - `INR` — Indian Rupee
      - `KRW` — South Korean Won
      - `MXN` — Mexican Peso
      - `NOK` — Norwegian Krone
      - `NZD` — New Zealand Dollar
      - `PEN` — Peruvian Sol
      - `PLN` — Polish Zloty
      - `RUB` — Russian Ruble
      - `THB` — Thai Baht
      - `TRY` — Turkish Lira
      - `TWD` — New Taiwan Dollar
      - `UAH` — Ukrainian Hryvnia
      - `VND` — Vietnamese Dong
      - `ZAR` — South African Rand
  - `business`: object — Business for this transaction. Reflects the entity at the time it was added to the transaction, or its revision if `revised_at` is not `null`. Returned when the `include` parameter is used with the `business` value and the transaction has a `business_id`.
    - `id`: string (required) — Unique Paddle ID for this business entity, prefixed with `biz_`. (pattern: `^biz_[a-z\d]{26}$`)
    - `customer_id`: string (required) — Paddle ID for the customer related to this business, prefixed with `ctm_`. (pattern: `^ctm_[a-z\d]{26}$`)
    - `name`: string (required) — Name of this business. (Length: 1–1024)
[...]
